Page MenuHomeFreeBSD

shells/xonsh: Upgrade to 0.7.9
ClosedPublic

Authored by larafercue_gmail.com on Sep 21 2018, 7:28 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 13, 5:49 PM
Unknown Object (File)
Fri, Feb 9, 4:11 AM
Unknown Object (File)
Jan 16 2024, 2:16 PM
Unknown Object (File)
Dec 22 2023, 7:39 AM
Unknown Object (File)
Dec 20 2023, 5:58 AM
Unknown Object (File)
Dec 13 2023, 6:31 PM
Unknown Object (File)
Dec 12 2023, 10:35 PM
Unknown Object (File)
Nov 30 2023, 2:09 AM
Subscribers

Details

Reviewers
beat
Commits
rP480240: Upgrade to 0.7.9
Summary

Upgrade of the port to version 0.7.9

Test Plan

manual testing (12.0-ALPHA6) -> ok
poudriere (10.4-RELEASE) -> ok
poudriere (11.2-RELEASE) -> ok

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

shells/xonsh/Makefile
13 ↗(On Diff #48297)

Shouldn't it be:
LICENSE= BSD2CLAUSE
LICENSE_FILE= ${WRKSRC}/license
instead of:
LICENSE_FILE= ${WRKDIR}/license
LICENSE_FILE= ${WRKSRC}/license

shells/xonsh/Makefile
12–13 ↗(On Diff #48297)

This looks suspicious, if LICENSE is not defined, LICENSE_FILE does nothing.

Removing lines from previous versions

Corrected on another machine and leftovers where kept.

Correcting leftovers from previous attempts. Sorry for that guys.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 21 2018, 8:42 AM
Closed by commit rP480240: Upgrade to 0.7.9 (authored by beat). · Explain Why
This revision was automatically updated to reflect the committed changes.